#ifndef MSGWIDGET_H
#define MSGWIDGET_H

#include <QWidget>

namespace Ui {
class MsgWidget;
}

//Виджет одного сообщения для/от клиента

class MsgWidget : public QWidget
{
    Q_OBJECT
public:
    enum AligneAvatar
    {
        Left,
        Right
    };

public:
    explicit MsgWidget(QString avatar, AligneAvatar aligneAvatar, int width, QWidget *parent = nullptr);
    ~MsgWidget();

    void setAligneAvatarLeft();
    void setAligneAvatarRight();
    void setAvatar(QString avatar);    
    void setWidth(int width);

    void setText(QString text);

private slots:
    void on_textEdit_textChanged();

private:
    Ui::MsgWidget *ui;

    int widthEdit;
};

#endif // MSGWIDGET_H
